<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:tdp="http://telefonica.com/pe/integration/v1/decoReset" 
	xmlns:tdps="http://telefonica.com/pe/integration/v1/schema/decoReset" 
	xmlns:cab="http://telefonica.com/globalIntegration/header" 
	xmlns:flt="http://telefonica.com/globalIntegration/fault" 
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" 
	xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="decoReset" targetNamespace="http://telefonica.com/pe/integration/v1/decoReset">

	<wsdl:types>
		<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://telefonica.com/pe/integration/v1/decoReset">
			<xsd:import namespace="http://telefonica.com/pe/integration/v1/schema/decoReset" schemaLocation="decoReset.xsd"/>
			<xsd:import namespace="http://telefonica.com/globalIntegration/header" schemaLocation="Header_DOCLIT.xsd"/>
			<xsd:import namespace="http://telefonica.com/globalIntegration/fault" schemaLocation="MessageFault_DOCLIT.xsd"/>
		</xsd:schema>
	</wsdl:types> 

	<wsdl:message name="decoResetRequest">
		<wsdl:part element="tdps:decoResetRequest" name="decoResetRequest" />
	</wsdl:message>

	<wsdl:message name="decoResetResponse">
		<wsdl:part element="tdps:decoResetResponse" name="decoResetResponse" />
	</wsdl:message>

<wsdl:message name="HeaderIn">
    <wsdl:part element="cab:HeaderIn" name="HeaderIn"/>
  </wsdl:message>

  <wsdl:message name="HeaderOut">
    <wsdl:part element="cab:HeaderOut" name="HeaderOut"/>
  </wsdl:message>

  <wsdl:message name="MessageFault">
    <wsdl:part element="flt:MessageFault" name="MessageFault"/>
  </wsdl:message>

	<wsdl:portType name="decoReset">
		<wsdl:operation name="decoReset">
			<wsdl:input message="tdp:decoResetRequest" />
			<wsdl:output message="tdp:decoResetResponse" />
			<wsdl:fault message="tdp:MessageFault" name="MessageFault"/>
		</wsdl:operation>
	</wsdl:portType>

	<wsdl:binding name="decoResetSOAP" type="tdp:decoReset">
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http" />
		<wsdl:operation name="decoReset">
			<soap:operation soapAction="http://telefonica.com/pe/integration/v1/decoReset" />
			<wsdl:input>
			<soap:header message="tdp:HeaderIn" part="HeaderIn"
                         use="literal"/>
			<soap:body use="literal" parts="decoResetRequest"/>
			</wsdl:input>
			<wsdl:output>
			<soap:header message="tdp:HeaderOut" part="HeaderOut"
                         use="literal"/>
			<soap:body use="literal" parts="decoResetResponse"/>
			</wsdl:output>
			<wsdl:fault name="MessageFault">
        <soap:fault name="MessageFault" use="literal"/>
      </wsdl:fault>
		</wsdl:operation>
	</wsdl:binding>

	<wsdl:service name="decoReset">
		<wsdl:port binding="tdp:decoResetSOAP" name="decoResetSOAP">
			<soap:address location="http://telefonica.com/decoReset/services/decoResetSOAP" />
		</wsdl:port>
	</wsdl:service>

</wsdl:definitions>
